OJTestListenerText Class Reference

List of all members.

## Public Member Functions

(void) | - addError:`[implementation]`
(void) | - addError:forTest:`[implementation]`
(void) | - addFailure:`[implementation]`
(void) | - addFailure:forTest:`[implementation]`
(void) | - endTest:`[implementation]`
(CPArray) | - errors`[implementation]`
(CPArray) | - failures`[implementation]`
(id) | - init`[implementation]`
(void) | - startTest:`[implementation]`

## Detailed Description

Definition at line 5 of file OJTestListenerText.j.

## Member Function Documentation

- (void) addError: |  | (OJTestFailure) | error | `[implementation]`

Definition at line 27 of file OJTestListenerText.j.

- (void) addError: |  | (CPException) | anException
forTest: |  | (OJTest) | aTest
|  |  | `[implementation]`

Definition at line 21 of file OJTestListenerText.j.

- (void) addFailure: |  | (OJTestFailure) | failure | `[implementation]`

Definition at line 46 of file OJTestListenerText.j.

- (void) addFailure: |  | (CPException) | anException
forTest: |  | (OJTest) | aTest
|  |  | `[implementation]`

Definition at line 40 of file OJTestListenerText.j.

- (void) endTest: |  | (OJTest) | aTest | `[implementation]`

Definition at line 65 of file OJTestListenerText.j.

- (CPArray) errors |  |  | `[implementation]`

Definition at line 35 of file OJTestListenerText.j.

- (CPArray) failures |  |  | `[implementation]`

Definition at line 54 of file OJTestListenerText.j.

- (id) init |  |  | `[implementation]`

Definition at line 11 of file OJTestListenerText.j.

- (void) startTest: |  | (OJTest) | aTest | `[implementation]`

Definition at line 59 of file OJTestListenerText.j.

The documentation for this class was generated from the following file:

- Frameworks/OJUnit/OJTestListenerText.j

All Classes Files Functions Variables